
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>[LeetCode]29.Divide Two Integers / iVAN</title>

    <meta name="description" content="[LeetCode]29.Divide Two Integers [题目] Divide two integers without using multiplication, division and mod operator. If it is overflow, return MAX_INT. [分析] 不能用乘除和取模,就只能用加减和位运算. 最简单的方法就是不断的减去被除数.这种方法的迭代次数是结果的大小,即比如结果为n,算法复杂度是O(n).但是这样会超时. [代码] /********************************* * 日期:2">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">[LeetCode]29.Divide Two Integers</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h4>【题目】</h4>
<p>Divide two integers without using multiplication, division and mod operator.</p>
<p>If it is overflow, return MAX_INT.</p>
<h4>【分析】</h4>
<p>不能用乘除和取模，就只能用加减和位运算。</p>
<p>最简单的方法就是不断的减去被除数。这种方法的迭代次数是结果的大小，即比如结果为n，算法复杂度是O(n)。但是这样会超时。</p>
<h4>【代码】</h4>
<pre>/*********************************
*   日期：2015-01-24
*   作者：SJF0115
*   题目: 29.Divide Two Integers
*   网址：https://oj.leetcode.com/problems/divide-two-integers/
*   结果：AC
*   来源：Time Limit Exceeded
*   博客：
**********************************/
#include &lt;iostream&gt;
using namespace std;

class Solution {
public:
    int divide(int dividend, int divisor) {
        // 当dividend=INt_MAX时，-dividend会溢出,用long long
        long long a = dividend &gt;= 0 ? dividend : -(long long)dividend;
        // divisor=INt_MAX时，-divisor,用long long
        long long b = divisor &gt;= 0 ? divisor : -(long long)divisor;
        int count = 0;
        // 不断减
        while(a &gt;= b){
            a -= b;
            count ++;
        }//while
        // 正负
        int isPositive = (dividend ^ divisor) &gt;&gt; 31;
        if(isPositive == 0){
            return count;
        }//if
        else{
            return -count;
        }//else
    }
};

int main(){
    Solution solution;
    int dividend = -2147483648;
    int divisor = -1;
    int result = solution.divide(dividend,divisor);
    // 输出
    cout&lt;&lt;result&lt;&lt;endl;
    return 0;
}
</pre>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAxMjQxODEzMTkyMDQ/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2VTNWdWJubFpiMjl1WVE9PS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L0NlbnRlcg==.jpg"></p>
<h4>【分析二】</h4>
<p>通过上面超时的例子可以总结出一点东西，做一些优化。</p>
<p>利用位运算每次把被除数翻倍，从而加速。</p>
<h4>【代码二】</h4>
<pre>/*********************************
*   日期：2015-01-25
*   作者：SJF0115
*   题目: 29.Divide Two Integers
*   网址：https://oj.leetcode.com/problems/divide-two-integers/
*   结果：AC
*   来源：Time Limit Exceeded
*   博客：
**********************************/
#include &lt;iostream&gt;
#include &lt;climits&gt;
using namespace std;

class Solution {
public:
    int divide(int dividend, int divisor) {
        // 当dividend=INt_MAX时，-dividend会溢出,用long long
        long long a = dividend &gt;= 0 ? dividend : -(long long)dividend;
        // 当divisor=INt_MAX时，-divisor会溢出,用long long
        long long b = divisor &gt;= 0 ? divisor : -(long long)divisor;
        long long result = 0;
        // 不断减
        while(a &gt;= b){
            long long c = b;
            for(int i = 0;a &gt;= c;++i,c &lt;&lt;= 1){
                a -= c;
                result += 1 &lt;&lt; i;
            }//for
        }//while
        // 正负
        if((dividend &gt; 0 &amp;&amp; divisor &lt; 0) || (dividend &lt; 0 &amp;&amp; divisor &gt; 0)){
            result = -result;
        }//if
        // If it is overflow, return MAX_INT.
        if (result &gt; INT_MAX || result &lt; INT_MIN){
            result = INT_MAX;
        }
        return static_cast&lt;int&gt;(result);
    }
};

int main(){
    Solution solution;
    int dividend = -2147483648;
    int divisor = -1;
    int result = solution.divide(dividend,divisor);
    // 输出
    cout&lt;&lt;result&lt;&lt;endl;
    return 0;
}
</pre>
<p>之前忽略一个细节：If it is overflow, return MAX_INT.<br />
<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAxMjUxMDM5NTc1OTM/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2VTNWdWJubFpiMjl1WVE9PS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L0NlbnRlcg==.jpg"></p>
<p>2147483648 overflow 所以返回MAX_INT    2147483647</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAxMjUxMDM3NDE1NjM/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2VTNWdWJubFpiMjl1WVE9PS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L0NlbnRlcg==.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-14 15:19:39</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>[LeetCode]29.Divide Two Integers的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjm3vmz.html" rel="bookmark">LeetCode 29 Divide Two Integers（两个整数相除）（&ast;）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				翻译 不用乘法.除法.取余操作,将两个数相除. 如果它溢出了,返回MAX_INT 原文 Divide two integers without using multiplication, division and mod operator. If it is overflow, return MAX_INT. 代码 一心扑到了递归上,可惜没能写出来----烦躁至极还是找了别人的答案-- class Solution { public: int divide(int dividend, int d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z46yqYM.html" rel="bookmark">Divide Two Integers</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Divide two integers without using multiplication, division and mod operator. 思路: 这道题属于数值处理的题目,对于整数处理的问题,在Reverse Integer中我有提到过,比较重要的注意点在于符号和处理越界的问题.对于这道题目,因为不能用乘除法和取余运算,我们只能使用位运算和加减法.比较直接的方法是用被除数一直减去除数,直到为0.这种方法的迭代次数是结果的大小,即比如结果为n,算法复杂度是O(n). 那么有没有办法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz42kNM.html" rel="bookmark">&amp;lt&semi;font color&equals;&amp;quot&semi;red&amp;quot&semi;&amp;gt&semi;&lbrack;置顶&rsqb;&amp;lt&semi;&sol;font&amp;gt&semi;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Profile Introduction to Blog 您能看到这篇博客导读是我的荣幸,本博客会持续更新,感谢您的支持,欢迎您的关注与留言.博客有多个专栏,分别是关于 Windows App开发 . UWP(通用Windows平台)开发 . SICP习题解 和 Scheme语言学习 . 算法解析 与 LeetCode等题解 . Android应用开发 ,而最近会添加的文章将主要是算法和Android,不过其它内容也会继续完善. About the Author 独立 Windows App 和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL7YkWM.html" rel="bookmark">leetcode难度及面试频率</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载自:LeetCode Question Difficulty Distribution               1 Two Sum 2 5 array sort         set Two Pointers 2 Add Two Numbers 3 4 linked list Two Pointers           Math 3 Longest Substring Without Repeating Characters 3 2 string Two Pointers      			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba41NXz.html" rel="bookmark">LeetCode All in One 题目讲解汇总&lpar;持续更新中&period;&period;&period;&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				终于将LeetCode的免费题刷完了,真是漫长的第一遍啊,估计很多题都忘的差不多了,这次开个题目汇总贴,并附上每道题目的解题连接,方便之后查阅吧~ 如果各位看官们,大神们发现了任何错误,或是代码无法通过OJ,或是有更好的解法,或是有任何疑问,意见和建议的话,请一定要在对应的帖子下面评论区留言告知博主啊,多谢多谢,祝大家刷得愉快,刷得精彩,刷出美好未来- 博主制作了一款iOS的应用&quot;Leetcode Meet Me&quot;,里面有Leetcode上所有的题目,并且贴上了博主的解法,随时随地都能			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zO23Nkp.html" rel="bookmark">LeetCode总结【转】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:http://blog.csdn.net/lanxu_yy/article/details/17848219 版权声明:本文为博主原创文章,未经博主允许不得转载. 最近完成了www.leetcode.com的online judge中151道算法题目.除各个题目有特殊巧妙的解法以外,大部分题目都是经典的算法或者数据结构,因此做了如下小结,具体的解题思路可以搜索我的博客:LeetCode题解 题目 算法 数据结构 注意事项 Clone Graph BFS 哈希表 Word Ladder II			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeoov9M.html" rel="bookmark">&lbrack;LeetCode&rsqb;--371&period; Sum of Two Integers</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Calculate the sum of two integers a and b, but you are not allowed to use the operator + and -. Example: Given a = 1 and b = 2, return 3. Credits: Special thanks to @fujiaozhu for adding this problem and creating all test cases. 不用+号肯定想到用Java位运算 位运算中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQLQorz.html" rel="bookmark">&lbrack;LeetCode&rsqb; Partition to K Equal Sum Subsets 分割K个等和的子集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Given an array of integers nums and a positive integer k, find whether it's possible to divide this array into knon-empty subsets whose sums are all equal. Example 1: Input: nums = [4, 3, 2, 3, 5, 2, 1], k = 4 Output: True Explanation: It's possible			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQP3Kwz.html" rel="bookmark">code chef：Divide the Tangerine 橘子分块算法题解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Once Chef decided to divide the tangerine into several parts. At first, he numbered tangerine's segments from1 to n in the clockwise order starting from some segment. Then he intended to divide the fruit into several parts. In order to do it he plann			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnx3Ab.html" rel="bookmark" class="title">HTML 标记一览</a>
					<div>
						■ HTML 标记一览: 标记 类型 名称或意义 作用 备注 文件标记 &lt;HTML&gt; ● 文件宣告 让浏览器知道这是 HTML 文件   &lt;HEAD&gt; ● 开头 提供文件整体信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv5eAb.html" rel="bookmark" class="title">XHTML的目标&comma;规则和细节</a>
					<div>
						xhtml  两个目的:1,将页面的内容和形式清晰的分离开来2,使页面内容更接近于XML 为什么要实现这两个目的,好多地方都有讲,不过,这里简单的讲两条1,跟为什么ASP.NET要分层是一个道理,内容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq19GM.html" rel="bookmark" class="title">SQL Server和XML的集成&lpar;1&rpar;</a>
					<div>
						server|xml SQL Server和XML的集成 作者: BUILDER.COMWednesday, June 19 2002 10:11 AM XML可谓最新的数据存储解决方案了.XML相比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMleqnp.html" rel="bookmark" class="title">一个新手SEOer把关键词做到百度第一的总结</a>
					<div>
						三个月前,笔者在杭州的出租屋里搭建了湖南SEO-株洲SEO博客,当时立下的SEO目标是把株洲SEO和湖南SEO做到百度第一.三个月过去了,两个目标都在今天实现了.这也是对我一大激励.今天笔者就分享一下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4QBNb.html" rel="bookmark" class="title">ones刻录教程</a>
					<div>
						Nero是大多数朋友喜欢使用的刻录软件,不过笔者最近试用了一款名为ONES的刻录软件,感觉到不仅界面简洁.功能强大,易用性相当出色,兼容性也不错. 一.了解ONES的来龙去脉 不知你是否使用过Reco ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVna3kz.html" rel="bookmark" class="title">仿Windows自带扫雷的小程序</a>
					<div>
						一直感觉Windows自带的扫雷程序挺有意思的.学习VC也有很长的时间了,一直没有真正的用心作过什么东西.决定先做个扫雷练练手.由于对MFC掌握的不是很好,程序中的小臭虫还希望各位兄弟们多多指教,共同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4XKNp.html" rel="bookmark" class="title">JSP脚本元素和注释复习总结示例</a>
					<div>
						今天复习了JSP脚本元素和注释部分,案例写出来,大家自己调试下,整体总结如下, 1.JSP申明语句: &lt;%! 申明语句 %&gt; 使用申明语句的变量为全局变量,多个用户执行此JSP页面,将共享 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBonAb.html" rel="bookmark" class="title">纯CSS绘制三角形箭头效果</a>
					<div>
						  最近我想修改一下这个网站,我想在上面放置一个提示框.这是很容易,但我想让提示框上有一个三角形的箭头.可是,一想到这需要使用图片,并且各种颜色,各种方向的箭头要准备无数种,这几乎是一种灾难.幸运的是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKBe1p.html" rel="bookmark" class="title">WPS演示教程：让灯笼动起来</a>
					<div>
						一.绘制灯笼 1.画灯笼主体 1)新建一个空演示文稿,内容版式:&quot;空白&quot; 2)绘制一个椭圆 3)选中椭圆--点击填充按钮旁边的倒三角--填充效果 4)颜色:双色--颜色1:红色;颜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGj6gnp.html" rel="bookmark" class="title">TP-Link怎么防蹭网</a>
					<div>
						随着智能手机/平板电脑以及笔记本等无线设备的流行,无线网络也早已悄然流行.对于绝大多数用户而言,家中主要使用无线路由器实现家中的无线Wifi网络覆盖.不过如今蹭网横行,很多朋友由于不注重路由器安全设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR3K8z.html" rel="bookmark" class="title">XP系统文件夹窗口左上角的后退按钮点击没反应怎么办</a>
					<div>
						  XP系统文件夹窗口左上角的后退按钮点击没反应怎么办 1.在菜单栏空白处使用鼠标右键点击,接着我们取消&quot;锁定工具栏&quot;的勾选. 2.勾选&quot;标准按钮&quot;,这样的话在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmgn0z.html" rel="bookmark" class="title">eclipse svn插件下载安装步骤</a>
					<div>
						  打开eclipse -&gt; Help -&gt;Install New Software选项,点击Add按钮;根据需要,添加自己需要的版本svn控制器的版本,填写name和url,点击ok.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72dLKp.html" rel="bookmark" class="title">新浪微博企业版的新功能有哪些？</a>
					<div>
						  新浪微博企业版的新功能如下: 1.根据不同的展示传播诉求,在微博首页设置不同的模块,实现更具商业价值的展现,如:图片.视频.友情链接.企业简介等; 2.可以将不同但相关联的微博用户集中添加到一个模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badJewz.html" rel="bookmark" class="title">Mac怎么新建txt文件 Mac怎么新建txt文档</a>
					<div>
						  有很多用户在买了mac之后,工作或者学习中都喜欢使用txt,但是有很多的用户不知道在mac上怎么新建txt文档,其实新建起来是比较简单的,因为mac os系统自带txt文档编辑器,虽然创建起来没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZrlJb.html" rel="bookmark" class="title">servlet-jqgrid点击查询按钮，怎么触发点击事件，怎么把查询条件带进去</a>
					<div>
						问题描述 jqgrid点击查询按钮,怎么触发点击事件,怎么把查询条件带进去 页面 function selectJobLog(){ var txDate=$(&quot;#txDate&quot;). ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmGGWb.html" rel="bookmark" class="title">sqlite-Android关于数据库的问题</a>
					<div>
						问题描述 Android关于数据库的问题 谁帮忙看看,写入是成功了,但是获取的时候就获取不到数据啊!!! package com.example.MySqlite; import android.ap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RQ8jz.html" rel="bookmark" class="title">用户-C&num;判断查询的时间范围是否合理，详细判断内容见里面。</a>
					<div>
						问题描述 C#判断查询的时间范围是否合理,详细判断内容见里面. 1起始时间必须早于用户监督起始时间 2时间段必须超过1小时 3时间范围不能和别的时间范围重合 4两个时间范围如果正好相连,要合并时间 请 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydYL4b.html" rel="bookmark" class="title">【C3观点】移动化应用打碎网络边界 虚拟化助推移动安全LEVEL UP</a>
					<div>
						如今,BYOD(员工自带设备办公)在企业中的普及度越来越高,移动化已经成为众多企业拓展生产力.推动工作流程飞驰的重要工具.但是,BYOD设备的大规模应用却使得企业安全防护的边界日渐模糊,移动终端的安全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0qDKM.html" rel="bookmark" class="title">五个问题的简短回复【调试、求职疑虑、编程能力提高、做题】</a>
					<div>
						今天到实验室的时间较平时要早.先看博客,昨夜今晨,找我的还真不少.一条评论,需要核实并回复.再发现有四封私信,这是个挑战.近日自己安排的事,已经紧张了,找到最简的方式回复吧. [一条评论](有读者按& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRKlWp.html" rel="bookmark" class="title">JS实现CheckBox复选框全选、不选或全不选功能&lowbar;javascript技巧</a>
					<div>
						CheckBox控件表明一个特定的状态(即选项)是选定 (on,值为1) 还是清除 (off,值为0).在应用程序中使用该控件为用户提供&quot;True/False&quot;或&quot;yes ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnE4rM.html" rel="bookmark" class="title">python 读写-python 调用windows 命令行</a>
					<div>
						问题描述 python 调用windows 命令行 def start(count): log_name ='c:log' +str(count) cmd = 'c:tooltool.exe &gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4er7Lb.html" rel="bookmark" class="title">Spring官网改版后下载</a>
					<div>
						Spring官网改版后下载 Spring官网改版后找了好久都没有找到直接下载Jar包的链接,下面汇总些网上提供的方法,亲测可用. 1.直接输入地址,改相应版本即可:http://repo.spring ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR2l2p.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;一带一路&rdquo;能源合作该如何作为？</a>
					<div>
						能源合作是&quot;一带一路&quot;建设的&quot;重头戏&quot;,是大有作为的合作领域.关于&quot;一带一路&quot;能源合作,可以讲四句话:潜力巨大,价值重大,风险众多,重在作为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QeVnp.html" rel="bookmark" class="title">C&plus;&plus;采用TLS线程局部存储的用法实例&lowbar;C 语言</a>
					<div>
						本文实例讲述了C++采用TLS线程局部存储的用法.分享给大家供大家参考. 具体方法如下: 复制代码 代码如下: // useTLS.cpp : 定义控制台应用程序的入口点.  //    #inclu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOgx2b.html" rel="bookmark" class="title">YYii框架学习笔记</a>
					<div>
						Yii同样是一个MVC框架,适合各种网站开发,非常灵活,并且性能极高,以下的图表展示了与其他流行的PHP框架比较下Yii的高效率.在这个图表中, RPS代表&quot;每秒请求&quot;,描述了此框 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYN1mQp.html" rel="bookmark" class="title">weblogic启动报错&comma;求高手</a>
					<div>
						问题描述 weblogic启动报错,求高手 weblogic启动就报 loymentException: java.lang.ClassNotFoundException: org.mortbay.j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8WWob.html" rel="bookmark" class="title">面试题，不知道怎么做，请大家帮忙。。。</a>
					<div>
						问题描述 1．给定一个目录,将目录下所有文件的MD5计算出来后保存到一个INI文件中.2．监控1中给定的目录,如果发现文件有改动,重新计算相应的MD5.更新INI文件中的记录. 解决方案 解决方案二: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqKkEp.html" rel="bookmark" class="title">实名制让网络退回Web 1&period;0时代？</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 &quot;如果在网络上要实名注册才能发表言论,那谁还会自由自在地在各种&quot;坛子&quot;里游荡?谁还敢说真话?&quot;这是网民们对于网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlWWXnb.html" rel="bookmark" class="title">还驾驭不了4核？ 别人已模拟出百万核心上的并行</a>
					<div>
						你可能已经认识到给台式机或者笔记本选用4核处理器是一种浪费,但是这不是你的问题:编写并行执行的代码是相当困难的,所以大部分的应用(除下一些计算密集型http://www.aliyun.com/zixu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPO2aqM.html" rel="bookmark" class="title">通过yum升级CentOS&sol;RHEL最小化安装的方法&lowbar;Linux</a>
					<div>
						1.如果你有安装CentOS / RHEL最小服务器安装,您可能有很多麻烦没有安装包 2.有一种方法来安装所有的包,需要一个基本的服务器,使用yum groupinstall命令 3.从最小的安装基本 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
